petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetAdjacency

Return all points adjacent to the given point

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetAdjacency(DM dm, PetscInt p, PetscInt *adjSize, PetscInt *adj[])

### Input Parameters

| dm | - The DM object Many br
| p | - The point Many br
| adjSize | - The maximum size of adj if it is non-NULL, or PETSC_DETERMINE Many br
| adj | - Either NULL so that the array is allocated, or an existing array with size adjSize Many br

### Output Parameters

| adjSize | - The number of adjacent points Many br
| adj | - The adjacent points Many br

Many br

Notes: The user must PetscFree the adj array if it was not passed in. Many br

### See Also

DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure(), DMPlexDistribute(), DMCreateMatrix(), DMPlexPreallocateOperator()

Level:advanced
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages